*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    background-color: #6FC3A9;
}
.container{
height: 60vh;
width: 50vh;
background-color: #E0E9CE;
padding: 35px 30px;
margin: 50vh 50vw; 
 margin: 137px 600px;
border: none;
border-radius: 10px;
box-shadow: 0 0 19px #5E2217;
display: flex;
/* justify-content: center;
align-items: center; */
flex-direction: column;
flex-wrap: wrap;
font-family: sans-serif;
color: #333;
}
h1{
   
    text-align: center;
    align-items: center;
   text-shadow: 0 0 2px #333;
   color: #333;
}
p{
    text-align: center;
    margin: 1rem 1rem;
    font-size: 1.2rem;
   opacity: 0.9;
}
.email{
    display: flex;
    flex-direction: column;
    margin-bottom: 0.7rem;
    input[type="email"]{
        height: 2rem;
        width: 17rem;
        border: none;
        border-radius: 7px;
        padding-left: 1rem;
         opacity: 0.5;
         &:hover{
            border: 2px solid #333;
            caret-color: #5E2217;
         }
       
    }
}
.pass{
      display: flex;
    flex-direction: column;
    margin-bottom: 0.7rem;
   
    input[type="password"]{
        height: 2rem;
        width: 17rem;
        border: none;
        border-radius: 7px;
        padding-left: 1rem;
       opacity: 0.5;
        &:hover{
            border: 2px solid #333;
            caret-color: #5E2217;
         }
    }
}
.forgot{
    a{
    text-decoration: none;
    font-size: 13px;
    display: flex;
    text-align: center;
    justify-content: end;
    margin-top:-14px;
    color: orange;
    margin-right: 1.8rem;
    transition: all 0.3s linear;
    }
   
}
a:hover{
color: #5E2217;
}
button{
   
    margin-top: 2rem;
    height: 2.5rem;
    width: 18rem;
    border: none;
    background-color: orange;
    border-radius: 5px;
    color:white;
    font-size: 1rem;
    cursor: pointer;
    transition: all 0.3s linear;
    &:hover{
        background-color: #5E2217;
        color: white;
    }
}

@media screen and  (max-width:600px){
    .container{
       margin:100px auto;
       height: 90%;
       padding:50px;
    width: 90%;
    max-width: 390px;
    box-sizing: border-box;
    }
    button{
        width: 100%;
        max-width: 100%;
        display: block;
        margin: 20px 0 0 0;
    }
}
@media screen and (min-width:601px) and (max-width:1020px) {
    .container{
        margin: 350px auto;
      padding: 30px;
       box-sizing: border-box;
       width:350px;
       height: 450px;
    }
    .forgot{
        a{
            margin-right: 20px;
        }
    }
    button{
        width: 275px;
    }
}
@media screen and (max-width:400px){
     .container{
       margin:150px auto;
       height: 90%;
       padding: 25px;
    width: 85%;
   
    box-sizing: border-box;
    }
input[type="email"],
input[type="password"]{
    width: 100%;
    font-size: 0.95rem;
    
}
.checkbox{
    margin-left: 8px;
}
.forgot{
    a{
    margin-right: 9px;
    

}
}
button{
    width: 98%;

}

}
@media screen and (min-width:413px) and (max-width:600px){
    .container{
        width: 90%;
        margin: 100px auto;
        margin: 350px auto;

       box-sizing: border-box;
}
button{
    width: 270px;
}
}
@media screen and (min-width:349px) and (max-width:412px){
    .container{
        width: 90%;
        box-sizing: border-box;
        margin: 140px auto;
        padding: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    input[type="email"],
input[type="password"]{
    width: 100%;
    font-size: 0.95rem;
    padding: 10px;
    margin-bottom: 10px;
    box-sizing: border-box;
}
.forgot{
    a{
        margin-right: -135px;
    }
}
.checkbox{
    margin-left: -140px;
}
button{
    width: 275px;
}
}
